<?php
/**
 * @file
 * Contains \Drupal\cincopa\EventSubscriber\MyEventSubscriber.
 */

namespace Drupal\cincopa\EventSubscriber;

use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event\FilterResponseEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
/**
 * Event Subscriber MyEventSubscriber.
 */
class CincopaEventSubscriber implements EventSubscriberInterface {

  /**
   * Code that should be triggered on event specified 
   */
  public function onRequest(GetResponseEvent $event) {
    $is_admin = \Drupal::service('router.admin_context')->isAdminRoute();
    if (\Drupal::currentUser()->hasPermission('View the administration theme') && $is_admin && !isset($_COOKIE['cincopa_help_close'])) {
      echo '<div class="cincopa_help_wrapper"><div id="icon_close" class="icon-close"></div><div class="cincopa_help"><p>
              <img src="https://www.cincopa.com/_cms/design15/icons/favicon-32.png?affdata=drupal-plugin-7,welcome-msg" height="15px">
              Welcome to Cincopa Rich Media Plugin - the most popular way to add videos, photo galleries, slideshows, Cooliris gallery, podcast and music to your site.</p>Check our
            <input type="button" class="form-submit" value="Welcome page" onclick="window.open(\'https://www.cincopa.com/drupal/welcome\');"> for registration and support documents.</div></div><br/>';
    }
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    // For this example I am using KernelEvents constants (see below a full list).
    $events[KernelEvents::REQUEST][] = array('onRequest');
    return $events;
  }
}
?>